#!/usr/bin/env node
import c from "yargs";
import { hideBin as m } from "yargs/helpers";
import { handler as a } from "./handler.mjs";
import s from "chalk";
import { projectNameForm as l, getTemplateChoices as p, getTemplateForm as d, saveGitHistoryForm as g, shallowCloneForm as h } from "./utils/question.mjs";
import t from "./injectInfo.json.mjs";
const f = async () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: l.message
  },
  template: {
    type: "string",
    alias: "t",
    choices: (await p()).map((e) => e.name),
    describe: (await d()).message
  },
  saveGitHistory: {
    type: "boolean",
    alias: "s",
    describe: g.message
  },
  shallowClone: {
    type: "boolean",
    alias: "c",
    describe: h.message,
    default: !0
  }
}), r = "create", y = (e, o) => {
  console.log(e ? s.red(e) : s.red(o.message)), process.exit(1);
}, b = t.description, u = `Usage: $0 ${r} [options]`, v = "Usage: $0 [options]", i = async (e, o) => {
  const n = await f();
  return e.strict().usage(o).help("help").version(t.version).alias("v", "version").alias("h", "help").options(n).fail(y).argv;
}, C = (e) => i(e, u), $ = {
  command: r,
  describe: b,
  builder: C,
  handler: a
}, x = async () => {
  const e = c(m(process.argv)), o = await i(e, v);
  return a(o);
};
export {
  $ as command,
  x as createCli
};
